<div class="example-wrap">
  <form [formGroup]="updateForm" class="k-form">
    <fieldset class="k-form-fieldset">
      <kendo-formfield>
        <kendo-label [for]="userName" text="Введите имя пользователя"></kendo-label>
        <input
          #userName
          formControlName="userName"
          kendoTextBox
          required
        />
        <kendo-formerror>Ошибка: введите имя пользователя</kendo-formerror>
      </kendo-formfield>

      <kendo-formfield>
        <kendo-label [for]="gender" text="Пол"></kendo-label>
        <kendo-dropdownlist
          #gender
          name="gender"
          formControlName="gender"
          [data]="genderTypeList"
          [textField]="'text'"
          [valueField]="'value'"
        >
        </kendo-dropdownlist>
        <kendo-formerror>Ошибка: выберите Ваш пол</kendo-formerror>
      </kendo-formfield>
      <kendo-formfield>
        <kendo-label
          [for]="birthDate"
          [optional]="false"
          text="Birth Date"
        ></kendo-label>
        <kendo-datepicker
          #birthDate
          [max]="this.studyStartLimit"
          [placeholder]="'День/Месяц/Год'"
          [format]="'dd/MM/yyyy'"
          formControlName="birthDate"
        >
        </kendo-datepicker>
        <kendo-formerror>Ошибка: выберете дату рождения</kendo-formerror>
      </kendo-formfield>
      <kendo-formfield>
        <kendo-label [for]="studyCategory" text="Направление обучения"></kendo-label>
        <kendo-dropdownlist
          #studyCategory
          name="studyCategory"
          [data]="studyCategoriesList"
          [textField]="'text'"
          [valueField]="'value'"
          formControlName="studyCategory"
        >
        </kendo-dropdownlist>
        <kendo-formerror>Ошибка: Выберите ваше направление обучения</kendo-formerror>
      </kendo-formfield>
      <kendo-formfield>
        <kendo-label
          [for]="studyStart"
          text="Начало обучения"
        ></kendo-label>
        <kendo-datepicker
          #studyStart
          [max]="this.studyEndLimit"
          [min]="this.birthDateLimit"
          [placeholder]="'День/Месяц/Год'"
          [format]="'dd/MM/yyyy'"
          formControlName="studyStart"
        >
        </kendo-datepicker>
        <kendo-formerror>Ошибка: Выберите начало обучения</kendo-formerror>
      </kendo-formfield>
      <kendo-formfield>
        <kendo-label
          [for]="studyEnd"
          text="Конец обучения"
        ></kendo-label>
        <kendo-datepicker
          #studyEnd
          [min]="this.studyStartLimit"
          [placeholder]="'День/Месяц/Год'"
          [format]="'dd/MM/yyyy'"
          formControlName="studyEnd"
        >
        </kendo-datepicker>
        <kendo-formerror>Ошибка: Выберите конец обучения</kendo-formerror>
      </kendo-formfield>

      <div class="k-form-buttons">
        <button *ngIf="this.userRowId === undefined" (click)="submitNewUser()" [disabled]="updateForm.invalid" class="k-button k-primary">
          Добавить
        </button>
        <button *ngIf="this.userRowId !== undefined" (click)="updateUser()" [disabled]="updateForm.invalid" class="k-button k-primary">
          Обновить
        </button>
        <button (click)="clearForm()" class="k-button">Отмена</button>
      </div>
    </fieldset>
  </form>
</div>
